import request from '@/plugin/axios'
//查询列表
export function getWaterDeviceRegister (data) {
  return request({
    url: '/waterEquipment/queryList',
    method: 'post',
    data
  })
}
// saveOrUpdateWaterDevice 修改保存
export function saveOrUpdateWaterDevice (data) {
  return request({
    url: '/waterEquipment/edit',
    method: 'post',
    data
  })
}
// 回显
export function getWaterDeviceById (data) {
  return request({
    url: '/waterEquipment/queryDetail',
    method: 'post',
    data
  })
}
// 删除onDeleteWaterDevice
export function onDeleteWaterDevice (data) {
  return request({
    url: '/waterEquipment/delete',
    method: 'post',
    data
  })
}
// 批量删除
export function onDeleteMutilWaterDevice (data) {
  return request({
    url: '/waterEquipment/deleteByBatch',
    method: 'post',
    data
  })
}
